#define INCL_PM
#define INCL_DOSMEMMGR
#define INCL_DOSFILEMGR
#define INCL_DOSPROCESS
#include <os2.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "DSPLGRPS.h"       
#include "SAVEPGMS.h"       
#include "OPENINI.h"       
#include "BKSYSINI.h"       
#include "BKUPRUN.h"       
#define ID_INIPGMS 1

#include "inipgms1.h"

#define IDM_FILE                            1000
#define IDM_FILE_OPENINIFILE                     1050
#define IDM_FILE_EXTRACTFROMSYSTEM               1100
#define IDM_FILE_RELOADTOSYSTEM                  1150
#define IDM_FILE_BACKUPSYSTEMINIS                1200
#define IDM_FILE_EXIT                            1250

#define IDLG_DSPLGRPS           100
#define IDLG_SAVEPGMS           101
#define IDLG_OPENINI            102
#define IDLG_BKSYSINI           103
#define IDLG_BKUPRUN            104

#define IDS_ERR_WINDOW_CREATE 1
#define IDS_ERR_WINDOW_POS 2

// these structures are used to add the program name to the task list
EXTERN HSWITCH hSwitch;
EXTERN SWCNTRL pSwctl;

EXTERN CHAR szAppName[20];   // class name of application


EXTERN HAB  hAB;             // Handle to the Anchor Block   
EXTERN HMQ  hMQ;             // Handle to the Message Queue  
EXTERN HWND hWndFrame;       // Handle to the Window Frame   
EXTERN HWND hWndClient;      // Handle to the Client Window


// Function prototypes
INT RegisterClass(VOID);
HWND CreateWindow(HWND, ULONG, PCH, PCH, USHORT, INT, INT, INT, INT, PHWND, ULONG, USHORT);
MRESULT EXPENTRY WndProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY DSPLGRPSMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY SAVEPGMSMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY OPENINIMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY BKSYSINIMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY BKUPRUNMsgProc(HWND, USHORT, MPARAM, MPARAM);
